GuideLab API

Confirm Checkout Payment

Verify that a Stripe PaymentIntent has succeeded after the client-side payment flow completes. Clinic-only. Used as a server-side confirmation step before updating order/invoice status.

POST
/checkout/confirm-order

Verify that a Stripe PaymentIntent has succeeded after the client-side payment flow completes. Clinic-only. Used as a server-side confirmation step before updating order/invoice status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/checkout/confirm-order" \  -H "Content-Type: application/json" \  -d '{    "paymentIntentId": "string",    "labId": "string"  }'
{  "verified": true,  "paymentIntentId": "string",  "amount": 0,  "currency": "string",  "convertedOrderId": "string"}
Empty
Empty